Page MenuHomePhabricator

[Test][AArch64] Test SADDE/SSUBE/UADDE/USUBE narrowing legalization
ClosedPublic

Authored by porglezomp on Feb 14 2021, 3:42 PM.

Diff Detail

Event Timeline

porglezomp created this revision.Feb 14 2021, 3:42 PM
porglezomp requested review of this revision.Feb 14 2021, 3:42 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 14 2021, 3:42 PM
arsenm added inline comments.Feb 15 2021, 2:28 PM
llvm/test/CodeGen/AArch64/GlobalISel/legalize-usube.mir
38

What about a non-pow2 that also isn't divisible by the register size?

porglezomp added inline comments.Feb 16 2021, 11:54 PM
llvm/test/CodeGen/AArch64/GlobalISel/legalize-usube.mir
38

That isn't supported for even plain add/sub yet, so I think that should be a separate change.

paquette accepted this revision.Feb 17 2021, 1:14 PM

I think this looks fine.

This revision is now accepted and ready to land.Feb 17 2021, 1:14 PM
This revision was landed with ongoing or failed builds.Feb 22 2021, 5:00 PM
This revision was automatically updated to reflect the committed changes.